site_name: Mistral "Le Chat" and European Biases
#site_url: https://mydomain.org/mysite
repo_url: https://gitlab.com/louisvgn/decoding-ai-biases-class
site_author: Louis Vigneras
copyright: TBD
theme:
  icon:
    annotation: material/plus-circle  
  name: material
  features:
  - navigation.instant
  - navigation.instant.progress
  - navigation.tracking
  - navigation.tabs
  - navigation.expand
  - navigation.top
  - navigation.path
  - toc.follow
  - search.suggest
  - content.tabs.link
  - content.code.annotate
  - content.code.copy
  - content.footnote.tooltips
  font: false
  language: en
  palette:
    - scheme: default
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to dark mode
      primary: red
      accent: indigo
    - scheme: slate
      toggle:
        icon: material/toggle-switch
        name: Switch to light mode
      primary: red
      accent: indigo
  copyright: Copyright &copy; 2024 Louis Vigneras

markdown_extensions:  
  - tables
  - toc:
      permalink: "#"
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets:
      check_paths: true
      url_download: true
      url_max_size: 33554432
      url_timeout: 10
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.mark:
      smart_mark: true
  - attr_list
  - md_in_html
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.smartsymbols
  - admonition
  - pymdownx.details
  - pymdownx.superfences:
      custom_fences:
        - name: "mermaid"
          class: "mermaid"
          format: python/name:pymdownx.superfences.fence_code_format
  - footnotes

extra_javascript:
  - javascripts/mathjax.js
  - https://polyfill.io/v3/polyfill.min.js?features=es6
  - https://unpkg.com/mathjax@3/es5/tex-mml-chtml.js

plugins:
  - search
  - git-revision-date-localized
  - table-reader
  - bibtex:
      bib_file: "docs/assets/bib/refs.bib"
      csl_file: "docs/assets/bib/apa-6th-edition.csl"
      cite_inline: true
